Bug 209338 - compiz segfaults xserver on radeon with exa enabled
compiz segfaults xserver on radeon with exa enabled
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-04 14:14 EDT by jon
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 10:46:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jon 2006-10-04 14:14:40 EDT
Description of problem:
When i start compiz (either command-line or via desktop-effects) and have the
line Option "AccelMethod" "EXA" in my xorg.conf Xorg segfaults. When i remove
the offending option, compiz runs fine. This all was working fine around the
FC6Test2 time, however i havent followed development close, so i cant say when
it broke.
When Xorg segfaults i get the following in my dmesg:
kernel: Xorg[4065] general protection rip:2aaaaaabeb9c rsp:e87a2949a36315fe error:0

The closest thing searching the web and bugzilla which sounds similiar to my
problem is in the xorg-ml, however i havent found an follow-up to this post:
http://lists.freedesktop.org/archives/xorg/2006-September/017911.html

Version-Release number of selected component (if applicable):
uptodate fc6-rawhide sys (as of 10/04/06)

How reproducible:
always

Steps to Reproduce:
1. change AccelMethod to EXA
2. start compiz, either manually or via desktop-effects
3. watch the crash
  
Actual results:
Xorg crashes

Expected results:
Xorg should not crash

Additional info:
System info:
Amila1667g Notebook
Turion64 ML-34
ATI X700 PCIe Mobility
FC-6 Rawhide

cheers Jan
Comment 1 jon 2006-10-13 11:12:30 EDT
I rebuild xorg-x11-server-Xorg-1.1.1-47, but commented out patch #107
(xorg-x11-server-1.1.1-offscreen-pixmaps.patch).

Now compiz wont segfault Xorg when EXA is enabled, everything is fine. The patch
was added on August, 7th. This was the time when FC6test2 was new and i had no
problems. So could someone explain me what this patch does, and why it is needed
(as it breaks exa, at least on my x700).

cheers Jan
Comment 2 Kristian Høgsberg 2006-10-13 12:16:26 EDT
Yes, compiz and EXA aren't compatible, the offscreen-pixmaps patch is XAA
specific.  Right now the solution is "don't use EXA", and with compiz EXA vs XAA
doesn't make a difference anyway.  There's should be more graceful error
handling, sure, or maybe we should just make it work with EXA.
Comment 3 jon 2006-10-15 16:14:42 EDT
Thank you for the info, Kristian. What is the purpose of the offscreen-pixmaps
patch ? Could it be possible to document this behaviour (it took me some time to
find out, that the EXA option is to blame for the crashes is experienced with
compiz) ?
Thank you anyway for the good work.

cheers Jan
Comment 4 Matthew Miller 2007-04-06 14:00:35 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 5 Matěj Cepl 2007-07-12 10:46:58 EDT
Even after almost three months there has been no activity on these bugs, so we
consider them obsolete and they are being closed as INSUFFICIENT_DATA.

Please, if you are able to reproduce this bug on currently supported (FC6 and
F7) non-test distribution, or if there is any other reason why this bug should
be kept alive, please, reopen, change the product to something more recent and
add an additional information to the comment of such bug.

Thank you very much.

Note You need to log in before you can comment on or make changes to this bug.